Subject: Re: [bitcoin-dev] A BIP proposal for segwit addresses

From: "Russell O'Connor" <[email-masked]>
Date: Thu, 26 Jul 2018 10:31:30 -0400

I think I phrased this badly.

What I mean is that there should be a note that HRP should be specified in
lowercase, or at least mention that uppercase and lowercase HRPs are
considered equivalent and will be canonicalized to lowercase during
validation.

On Thu, Jul 26, 2018 at 9:43 AM, Russell O'Connor <[email-masked]>
wrote:

> Hi Pieter,
>
> > The *human-readable part*, which is intended to convey the type of
> data, or anything else that is relevant to the reader. This part MUST
> contain 1 to 83 US-ASCII characters, with each character having a value in
> the range [33-126]. HRP validity may be further restricted by specific
> applications.
>
> You should also add to this section that the HRP should be lowercase.
>
> Since Bech32 forbids mixed-case and otherwise converts everything to
> lowercase, it is good to warn upfront against using uppercase in the HRP.
>
> I know the BIP is marked as final, but this wouldn't be a normative change.
>